#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xb811bdfe, "struct_module" },
	{ 0x91293fe1, "usb_serial_disconnect" },
	{ 0x89ef5b14, "usb_serial_probe" },
	{ 0xfbf92453, "param_get_bool" },
	{ 0xa925899a, "param_set_bool" },
	{ 0xd7e1dc9f, ".usb_register_driver" },
	{ 0xcae2c877, ".usb_serial_register" },
	{ 0xb76756ce, ".usb_set_interface" },
	{ 0xa0fc903d, ".tty_flip_buffer_push" },
	{ 0x25e97618, ".tty_insert_flip_string" },
	{ 0xfc215e2d, ".tty_buffer_request_room" },
	{ 0x3329178b, ".usb_clear_halt" },
	{ 0x667d3dba, ".usb_kill_urb" },
	{ 0x716af6c1, ".mutex_unlock" },
	{ 0x7b4882ac, ".mutex_lock" },
	{ 0xca87355c, ".usb_serial_port_softint" },
	{ 0xfa0a7c16, ".usb_free_urb" },
	{ 0x6067a146, ".memcpy" },
	{ 0x2b0c6e70, ".dev_driver_string" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0xaa778c6e, ".usb_alloc_urb" },
	{ 0xc3958b3e, ".kmem_cache_alloc" },
	{ 0xf5723171, "malloc_sizes" },
	{ 0x37a0cba, ".kfree" },
	{ 0xdf15005, "._spin_unlock_irqrestore" },
	{ 0xdd5a37a7, "._spin_lock_irqsave" },
	{ 0xd9bac924, ".tty_termios_copy_hw" },
	{ 0xf8451ea3, ".usb_control_msg" },
	{ 0xb07f7ef5, ".usb_submit_urb" },
	{ 0x6ce74046, ".tty_hangup" },
	{ 0xea147363, ".printk" },
	{ 0x2277ea93, ".usb_serial_deregister" },
	{ 0x3ebbf2f8, ".usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial";

MODULE_ALIAS("usb:v1199p0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0218d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p1B1Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0023d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0025d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0026d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0027d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0028d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6802d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6804d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6803d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6812d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6813d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6815d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p1E1Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6820d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6821d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6832d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6833d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6850d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6851d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6852d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6853d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6855d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6856d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6859d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p685Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6880d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6890d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6891d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6892d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F3Dp0112d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "1FE2549F45E617BCAD241F6");
